raid Cookbook
=============

e.g.
This cookbook make raid1 on CentOS 7 , CentOS 6 , Ubuntu 12.04 , Ubuntu 14.04 , Ubuntu 16.04 , Debian 7 , Debian 8 with 2 disk configuration.

Requirements
------------


cookbook `mdadm`

cookbook `reboot-handler`

Attributes
----------
#### raid::default

`default.part_sizes = [{
        'boot_size' => "500M",
        'root_size' => "50G",
        'swap_size' => "4G"
}]`

Usage
-----
#### raid::default
```
knife role edit raid_custom
```

```{
  "name": "raid_custom",
  "description": "",
  "json_class": "Chef::Role",
  "default_attributes": {
  },
  "override_attributes": {
    "part_sizes": {
      "boot_size": "910M",
      "root_size": "30G",
      "swap_size": "4G"
    }
  },
  "chef_type": "role",
  "run_list": [
    "recipe[raid]"
  ],
  "env_run_lists": {

  }
}
```

```
knife bootstrap 1.2.3.4 -r 'role[raid_custom]'
```

waiting when server back online and:

```
knife bootstrap 1.2.3.4 -r 'recipe[raid::after]'
```
#### raid::after

```json
{
  "name":"my_node",
  "run_list": [
    "recipe[raid::after]"
  ]
}
```

License and Authors
-------------------
Authors: 

Max Nikolaev
